.type_de_pose {
    display: flex;
    margin: 10px 0 30px 0;
    flex-wrap: wrap;
}

input[type="radio"] {
    display: none;
}

input[type="radio"] + label {
    position: relative;
    display: inline-block;
    margin: 3px;
    padding: 4px 12px;
    width: 123px;
    height: 83px;
    background-size: 112px auto;
    cursor: pointer;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 5px;
    opacity: 0.75;
}

input[type="radio"]:checked + label {
    border-color: var(--extra-color);
    opacity: 1;
}

input[type="radio"]:hover:not(:checked) + label {
    opacity: 1;
}

input[type="radio"] + label::before {
    position: absolute;
    top: 100%;
    font-size: 11px;
    line-height: 1.2;
    left: 0;
    color: var(--primary-color);
    width: 100%;
    text-align: center;
    padding: 4px;
    border-radius: 0 0 3px 3px;
    border-top: 0;
    box-sizing: border-box;
}

input[type="radio"]:checked + label::after {
	content: '\E805';
	font-family: "fontello";
	font-style: normal;
	font-weight: normal;
	speak: never;
	display: inline-block;
	text-decoration: inherit;
	text-align: center;
	font-variant: normal;
	text-transform: none;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	background: #5EA0D7;
	color: #fff;
	padding: 3px;
	text-align: center;
	font-size: 12px;
	width: 22px;
	height: 22px;
	line-height: 16px;
	border-radius: 11px;
	outline: 2px solid #fff;
}

input[type="radio"]#radio1 + label {
    background-image: url('/images/devis/isolée-structure-autoportante-sur-4-poteau.webp');
}

input[type="radio"]#radio1 + label::before {
    content: 'Isolée';
}

input[type="radio"]#radio2 + label {
    background-image: url('/images/devis/adosée-a-la-facade-sur-2-poteau.webp');
}

input[type="radio"]#radio2 + label::before {
    content: 'Adosée à la façade';
}

input[type="radio"]#radio3 + label {
    background-image: url('/images/devis/en-angle-sur-1poteau.webp');
}

input[type="radio"]#radio3 + label::before {
    content: 'En angle';
}

input[type="radio"]#radio4 + label {
    background-image: url('/images/devis/entre-3-murs-sans-poteau.webp');
}

input[type="radio"]#radio4 + label::before {
    content: 'Entre 3 ou 4 murs';
}

.dimensions-group {
    display: flex;
    gap: 10px;
}

.dimensions-group input {
    flex: 1;
}

/* Media query for small screens */
@media (max-width: 600px) {
    .type_de_pose {
        justify-content: space-between;
    }

    .type_de_pose input[type="radio"] + label {
        width: calc(50% - 10px);
        margin-bottom: 20px;
    }
}